- Main Page
- Classes
- Files

- File List
- File Members

# list.c File Reference

`#include <stdio.h>`
`#include <string.h>`
`#include <stdlib.h>`
`#include <dirent.h>`
`#include "list.h"`

Include dependency graph for list.c:

Go to the source code of this file.

## Functions
void | delete_list (list_t *lst)
list_t * | dir_list (char *dir)

## Function Documentation

void delete_list | ( | list_t * | lst | ) |

Delete linked list

Parameters:

  | lst | list to delete

Definition at line 46 of file list.c.

References list_t::last, and list_t::top.

Referenced by init_acpi_acadapt(), init_acpi_batt(), init_acpi_fan(), and init_acpi_thermal().

Here is the caller graph for this function:

list_t* dir_list | ( | char * | dir | ) |

Lists contents (for libacpi directories) of a directory and return them in a linked list

Parameters:

  | dir | directory to list

Returns:
  linked list

Definition at line 61 of file list.c.

Referenced by init_acpi_acadapt(), init_acpi_batt(), init_acpi_fan(), and init_acpi_thermal().

Here is the caller graph for this function: